WordPress.org

Forums

NextGEN Gallery
[resolved] NextGEN Gallery 2.0.66 Multiple Issues (8 posts)

  1. semidivine
    Member
    Posted 1 year ago #

    Hello, I am having multiple issues with NextGen.

    Nextgen version 2.0.66
    Wordpress version 3.9.1
    PHP version 5.4

    I'm not sure when the problems started as my client was upgrading her own plugins, and I don't know if she was updating at every update, or if there was a big leap to 2.0.66. I was just called in to fix.

    Here are my issues:

    • all existing galleriess are not working, and we are getting the error message: "Gallery not found. Please check your settings."

      The galleries do exist and have photos, that hasn't changed.

    • Trying to add a new gallery in a page by clicking the NextGen Add Gallery button shows a pop-up with multiple errors:
      "Warning: Creating default object from empty value in /var/###/###/wp-content/plugins/nextgen-gallery/products/photocrati_nextgen/modules/attach_to_post/mixin.attach_to_post_display_tab.php on line 236"

      The screenshot from the other thread is identical to what I see: http://take.ms/1iOCP

    • The Gallery Settings page only gives me the option in the drop down for "Display Galleries As: NextGen Basic Tagcloud".

    In order to get my client's site working I reverted to NextGen version 2.0.11 (assuming prior to 2.0.40 was best based on previous threads, and I was correct, although I did not test any other version) so we need to go on the information I collected from before since I can't see it now. FYI the ONLY thing I did to fix the situation was revert to an earlier version. I did not change any other plugin or setting and I did not edit any theme files.

    If you need to know other plugins I'm running or anything else please don't hesitate to ask. Thanks for your time.

    https://wordpress.org/plugins/nextgen-gallery/

  2. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    @semidivine - Thank you for starting your own topic. As noted in the plugin's changelog there are many updates/changes/modifications that have been made from version 2.0.11 to the current release (with another public release due out very soon).

    Not knowing at what version this started may make it difficult to troubleshoot but I would suggest manually updating via FTP and ensuring all files and folders are being overwritten in the /nextgen-gallery/ folder, this should help to eliminate the potential of a corrupted plugin file.

    Many times issues do stem from a conflict with another active plugin and/or, in rarer cases, the active theme ... you can eliminate this premise (for the most part) by temporarily switching to a default WordPress Twenty series theme and only have NextGEN Gallery activated to test.

    Unfortunately the "Gallery not found. Please check your settings." message does not really provide any significant clues unless there is something interfering with the placeholder reference, or in cases of shortcode structures "smart" quotes can sometimes cause this message to be triggered.

    If the galleries were not visible under Gallery > Manage Galleries when version 2.0.66 was active (but are now) then it could even be a WordPress database user privilege issue, where the DB user does not have the ALTER privilege ... this is very uncommon but does happen in some cases.

    - Cais.

  3. semidivine
    Member
    Posted 1 year ago #

    FYI The theme we're using is twentyfouteen.

    I will try to manually reinstall 2.0.66 and I'll let you know if I have the problems.

  4. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    @semidivine - A link to the site where the problems are occurring is often helpful, too.

    - Cais.

  5. semidivine
    Member
    Posted 1 year ago #

    Oh I thought I explained that in the interest of keeping a live site functioning properly I reverted to 2.0.11. So any link now would show you a functioning plugin.

    But what I am planning on doing is upgrading to later versions of nextgen incrementally. Not all of them (there are so many!) but every 5 or so. I will let you know when I first encounter the problem.

  6. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    @semidivine _ Yes, you did note you reverted back to a very old version ... I did not realize you had not taken the site back up to current to start testing there.

    Your method may work but essentially you are looking at 2.0.40, 2.0.57, and 2.0.66 as your test points where no matter the case, 2.0.66 should be the minimum end-point due to the security issues that is addresses with uploading specific image types.

    - Cais.

  7. semidivine
    Member
    Posted 1 year ago #

    Good news!
    Upgrading incrementally, and testing out each version worked! It's also possible the upgrading straight to 2.0.66 manually might have worked as well. The auto updater must have left an incomplete version.

    Anyway, thanks for your time.

  8. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    @semidivine - Thanks for the update, I'm glad it is working correctly for you now.

    - Cais.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • NextGEN Gallery
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic